<html lang="fr" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org" th:replace="~{commons/layout/default(scripts=~{::scripts}, links=~{::links}, breadcrumbs=~{::breadcrumbs}, globalContent=~{::globalContent})}">
<head>
<th:block th:fragment="scripts">
    <script th:src="@{/js/app/file/upload.js}"></script>
    <script th:src="@{/js/app/form/validate.js}"></script>
</th:block>
</head>
<body>
 	<div th:fragment="globalContent">
        <div id="breadcrumbs">
            <ol id="breadcrumbs" class="breadcrumb">
	            <li><a th:href="${@appProperties.getProperty('frontUrl')}" th:text="#{Home}"></a></li>
	            <li><a th:href="${@appProperties.getProperty('ui.dashboard.url')}" th:text="#{My records}"></a></li>
	        </ol>
	    </div>
		<div class="row">
	    	<div class="col-md-12">
                <form name="record" th:action="@{/postmail/send}" method="post" enctype="multipart/form-data" novalidate>
                    <div class="panel panel-primary">
						<div class="panel-heading">
							<h3 class="panel-title">
							    <span th:text="#{Sending postmail}"></span>
							 </h3>
						</div>
						<div class="panel-body-container">
							<div class="panel-body">
								<div class="form-group">
									<div>
										<div>
											<div class="col-md-12">
												<div class="form-group">
													<div class="field-label">
														<label class="col-sm-2" for="trackId"><span th:text="#{ID Tracker}"></label>
													</div>
													<div class="col-sm-8">
													  	<input type="text" class="form-control" name="trackId" maxlength="18" th:value="${trackId}">
												  	</div>
												  	<a href="#" class="btn btn-help btn-md" data-toggle="modal" data-target="#modalTrackId"><i class="fa fa-question-circle"></i></a>
												</div>
											</div>
											<div class="col-md-12"><br></div>
											<div class="col-md-12">
												<div class="form-group">
													<div class="field-label">
														<label class="col-sm-2 mandatory" for="recipient"><span th:text="#{Recipient}"></label>
													</div>
													<div class="col-sm-8"> 
													  <input type="text" class="form-control" name="recipientName" maxlength="125" th:value="${recipientName}" data-parsley-required="true" />
													  <input type="text" class="form-control" name="recipientNameCompl" maxlength="125" th:value="${recipientNameCompl}"/>
													</div>
												  	<a href="#" class="btn btn-help btn-md" data-toggle="modal" data-target="#modalRecipientName"><i class="fa fa-question-circle"></i></a>
												</div>
											</div>
											<div class="col-md-12"><br></div>
											<div class="col-md-12">
												<div class="form-group">
													<div class="field-label">
														<label class="col-sm-2 mandatory" for="address"><span th:text="#{Address}"></label>
													</div>
													<div class="col-sm-8"> 
												  		<input type="text" class="form-control" name="addressName"  maxlength="75" pattern="[-a-zA-Z0-9'ÀÁÂÃÄÅÇÈÉÊËÌÍÎÏÑÒÓÔÕÖÙÚÛÜÝàáâãäåçèéêëìíîïñòóôõöùúûüýÿ. ]+" 
												  			th:value="${addressName}" data-parsley-required="true" />
												  		<input type="text" class="form-control" name="addressNameCompl" maxlength="75" pattern="[-a-zA-Z0-9'ÀÁÂÃÄÅÇÈÉÊËÌÍÎÏÑÒÓÔÕÖÙÚÛÜÝàáâãäåçèéêëìíîïñòóôõöùúûüýÿ. ]+" 
												  			th:value="${addressNameCompl}"/>
													</div>
												  	<a href="#" class="btn btn-help btn-md" data-toggle="modal" data-target="#modalRecipientAddress"><i class="fa fa-question-circle"></i></a>
												</div>
											</div>
											<div class="col-md-12"><br></div>
											<div class="col-md-12">
												<div class="form-group">
													<div class="field-label">
														<label class="col-sm-2 mandatory" for="postalCode"><span th:text="#{Postal code}"></label>
													</div>
													<div class="col-sm-3"> 
														<input type=text class="form-control" name="postalCode" maxlength="10"  pattern="[a-zA-Z0-9]+" th:value="${postalCode}" data-parsley-required="true" />
													</div>
												  	<a href="#" class="btn btn-help btn-md" data-toggle="modal" data-target="#modalPostalCode"><i class="fa fa-question-circle"></i></a>
												</div>
											</div>
											<div class="col-md-12"><br></div>
											<div class="col-md-12">
												<div class="form-group">
													<div class="field-label">
														<label class="col-sm-2 mandatory" for="city"><span th:text="#{City}"></label>
													</div>
													<div class="col-sm-8"> 
														<input type="text" class="form-control" name="city" maxlength="55" pattern="[-a-zA-Z0-9'ÀÁÂÃÄÅÇÈÉÊËÌÍÎÏÑÒÓÔÕÖÙÚÛÜÝàáâãäåçèéêëìíîïñòóôõöùúûüýÿ ]+"  th:value="${city}" data-parsley-required="true" />
													</div>
												  	<a href="#" class="btn btn-help btn-md" data-toggle="modal" data-target="#modalCity"><i class="fa fa-question-circle"></i></a>
												</div>
											</div>
											<div class="col-md-12"><br></div>
											<div class="col-md-12">
							                    <div class="form-group">
													<div class="field-label">
														<label class="col-sm-2 mandatory" for="fichierJoint"><span th:text="#{PDF}"></label>
													</div>
						                            <div class="col-sm-8">
						                            	<input type="file" name="file" data-toggle="file" data-remove="no" data-upload="no" data-auto-upload="no" th:required="required" />
						                            </div>
												  	<a href="#" class="btn btn-help btn-md" data-toggle="modal" data-target="#modalAttachment"><i class="fa fa-question-circle"></i></a>
							                    </div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
                    </div>
                    <div class="row submit-buttons">
                        <div class="col-md-12">
                            <button class="btn btn-primary" type="submit" th:text="#{Send}"></button>
                        </div>
                    </div>
                    
					<div class="modal fade" id="modalTrackId" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
						<div class="modal-dialog" role="document">
					    	<div class="modal-content">
					      	<div class="modal-header">
					        	<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
					        	<h4 class="modal-title" id="myModalLabel"><span th:text="#{Information}"></span></h4>
					      	</div>
					      	<div class="modal-body">
					      		<span th:text="#{The maximum length for the track id is 18}"></span>
					      	</div>
					      	<div class="modal-footer">
					        	<button type="button" class="btn btn-default" data-dismiss="modal"><span th:text="#{Close}"></span></button>
					      	</div>
					    	</div>
					  	</div>
					</div>
					<div class="modal fade" id="modalRecipientName" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
						<div class="modal-dialog" role="document">
							<div class="modal-content">
								<div class="modal-header">
							    	<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
							        <h4 class="modal-title" id="myModalLabel"><span th:text="#{Information}"></span></h4>
							    </div>
							    <div class="modal-body">
							      	<span th:text="#{The maximum length for the recipient name is 125}"></span>
							    </div>
							    <div class="modal-footer">
							        <button type="button" class="btn btn-default" data-dismiss="modal"><span th:text="#{Close}"></span></button>
							    </div>
							</div>
						</div>
					</div>
					<div class="modal fade" id="modalRecipientAddress" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
						<div class="modal-dialog" role="document">
							<div class="modal-content">
								<div class="modal-header">
									<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
									<h4 class="modal-title" id="myModalLabel"><span th:text="#{Information}"></span></h4>
								</div>
								<div class="modal-body">
									<span th:text="#{The maximum length for the address name is 75}"></span>
									<br>
										<span th:text="#{The city should not contain any special characters}"></span>
									</div>
									<div class="modal-footer">
										<button type="button" class="btn btn-default" data-dismiss="modal"><span th:text="#{Close}"></span></button>
									</div>
								</div>
							</div>
						</div>
					</div>
					<div class="modal fade" id="modalPostalCode" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
						<div class="modal-dialog" role="document">
							<div class="modal-content">
								<div class="modal-header">
									<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
									<h4 class="modal-title" id="myModalLabel"><span th:text="#{Information}"></span></h4>
								</div>
								<div class="modal-body">
									<span th:text="#{The maximum length for the postal code is 10}"></span>
								</div>
								<div class="modal-footer">
									<button type="button" class="btn btn-default" data-dismiss="modal"><span th:text="#{Close}"></span></button>
								</div>
							</div>
						</div>
					</div>
					<div class="modal fade" id="modalCity" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
						<div class="modal-dialog" role="document">
							<div class="modal-content">
								<div class="modal-header">
									<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
									<h4 class="modal-title" id="myModalLabel"><span th:text="#{Information}"></span></h4>
								</div>
								<div class="modal-body">
									<span th:text="#{The maximum length for the city is 55}"></span>
									<br>
										<span th:text="#{The city should not contain any special characters or digits}"></span>
									</div>
									<div class="modal-footer">
										<button type="button" class="btn btn-default" data-dismiss="modal"><span th:text="#{Close}"></span></button>
									</div>
								</div>
							</div>
						</div>
					</div>
					<div class="modal fade" id="modalAttachment" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
						<div class="modal-dialog" role="document">
							<div class="modal-content">
								<div class="modal-header">
									<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
									<h4 class="modal-title" id="myModalLabel"><span th:text="#{Information}"></span></h4>
								</div>
								<div class="modal-body">
									<span th:text="#{The PDF attachment is required}"></span>
								</div>
								<div class="modal-footer">
									<button type="button" class="btn btn-default" data-dismiss="modal"><span th:text="#{Close}"></span></button>
								</div>
							</div>
						</div>
					</div>
                </form>
			</div>
		</div>
	</div>
</body>
</html>